/* TAB -> SPC変換付き表示 */

#include "defines.h"
#include "aexprint.h"

int tabprints(const unchar *mes,int tabs)
/* tabs : 1TAB -> SPACE数 */
{
unint c,j=0;
	while ((c=*mes++)!=0) {
		if (check_kanji1(c)) { /* ２バイト文字 */
			EX_PUTC16(c);
			EX_PUTC16(*mes++);
			j++; if (!is24(c)) j++;
			continue;
		}
		if (c==TAB) { /* タブ */
			do {
				EX_PUTC16(SPC);
				j++;
			} while (j%tabs);
			continue;
		}
		/* その他の１バイト文字 */
		EX_PUTC16(c);
		j++;
	}
	return(j);
}
